package cn.yw.alarmtaskmanage.dao;

import java.sql.SQLException;
import java.util.List;
import java.util.Map;
import javax.annotation.PostConstruct;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.orm.ibatis.support.SqlMapClientDaoSupport;
import org.springframework.stereotype.Repository;
import com.ibatis.sqlmap.client.SqlMapClient;

@Repository("ywalarmrulefortimeDao")
public class YwalarmrulefortimeDao   extends SqlMapClientDaoSupport{
	
	@Autowired 
    private SqlMapClient sqlMapClient;  
      
	@PostConstruct          
    public  void initSqlMapClient(){  
		super.setSqlMapClient(sqlMapClient);      
    }
	/**
	 * 增加记录
	 */
	
	public void insert_Ywalarmrulefortime(Map map) throws SQLException{
		this.getSqlMapClientTemplate().insert("insert_Ywalarmrulefortime",map);
	}
	
	
	/**
	 * 批处理增加记录
	 */
	
	public void batch_insert_Ywalarmrulefortime(List batch) throws SQLException{
		this.getSqlMapClientTemplate().insert("batch_insert_Ywalarmrulefortime",batch);
	}
	
	 
	/**
	 * 修改记录
	 */
	
	public Integer update_Ywalarmrulefortime(Map map) throws SQLException{
		return this.getSqlMapClientTemplate().update("update_Ywalarmrulefortime",map);
	}
	
	
	/**
	 * 删除记录
	 */
	
	public Integer delete_Ywalarmrulefortime(Map map) throws SQLException{
		return this.getSqlMapClientTemplate().delete("delete_Ywalarmrulefortime",map);
	}
	
	
	/**
	 * 批处理删除记录
	 */
	
	
	public Integer batch_delete_Ywalarmrulefortime(Map map) throws SQLException{
		return this.getSqlMapClientTemplate().delete("batch_delete_Ywalarmrulefortime",map);
	}
	
	
	/**
	 * 查询总数
	 */
	
	public Integer count_Ywalarmrulefortime(Map map) throws SQLException{
		return (Integer)this.getSqlMapClientTemplate().queryForObject("count_Ywalarmrulefortime",map);
	}
	
	
	/**
	 * 查询列表记录
	 */
	
	
	public List<Map> query_Ywalarmrulefortime(Map map) throws SQLException{
		return this.getSqlMapClientTemplate().queryForList("query_Ywalarmrulefortime",map);
	}
	
	
	/**
	 * 查询列表记录
	 */
	
	public Map get_Ywalarmrulefortime(Map map) throws SQLException{
		return (Map) this.getSqlMapClientTemplate().queryForObject("query_Ywalarmrulefortime",map);
	}
	
}
